<template>
	<view class='container'>
		<u-tabs :list="tabList" lineHeight="0" :current="currentTab" @click="onChangeTab" :scrollable="true"
			lineColor="#FFF" :inactiveStyle="{'font-size': '28rpx', 'color': '#878787'}"
			:activeStyle="{'font-size': '32rpx', 'color': '#FFFFFF'}"></u-tabs>
		<view class="list">
			<scroll-view scroll-y @scrolltolower="scrolltolower" style="height: 100%;">
				<view v-for="(item,index) in 10" :key="index">
					<view class="item">
						<image class="wh-158" src="@/static/logo.png"></image>
						<view class="flex-between-center" style="flex: 1;">
							<view class="flex-column fs-24 pad-15"
								style="flex: 1;height: 100%; justify-content:space-around;color: white;">
								<text>双十一单身狂欢派对</text>
								<text>11/14 周四 22:00</text>
								<text>精致卡座A区 01 2人</text>
							</view>
							<view class="flex-center-center fs-24"
								style="width: 132rpx;height: 54rpx;background: #405028;border-radius: 27rpx;color: white;">
								<text>取消</text>
							</view>
						</view>
					</view>
				</view>
			</scroll-view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				currentTab: 0,
				tabList: [{
						name: '全部',
					},
					{
						name: '已结束',
					},
					{
						name: '已取消',
					}
				],
			};
		},
		onLoad(options) {

		},
		computed: {


		},
		methods: {
			onChangeTab(e) {
				this.currentTab = e.index

			},
			onSubmit() {
				if (!this.userNickName) {
					return this.$u.toast('请填写昵称')
				}
				const params = {
					url: '/api/user/profile',
					loadingTip: '',
					data: {
						nickname: this.userNickName
					}
				}
				this.$request(params).then(res => {
					// console.log(res)
					this.$u.toast(res.msg || '修改成功')
					setTimeout(() => {
						this.$wskj.goBack(1)
					}, 600)
				}).catch(err => {
					// console.log(err)
					this.$u.toast(err.msg || '修改失败')
				})
			}
		},
	};
</script>

<style scoped>
	.container {
		height: 100%;
		height: 100%;
		background: #0F0F0F;
		display: flex;
		flex-direction: column;
	}

	.list {
		overflow: hidden;
		height: calc(100% - 60rpx);
	}

	.item {
		display: flex;
		background: rgba(159, 255, 0, 0.08);
		border-radius: 20rpx;
		border: 1rpx solid #9FFF00;
		margin: 0 24rpx;
		margin-bottom: 40rpx;
		padding: 20rpx;

	}
</style>